Packages - Bug #2884
Packaging Request # 2506 (in progress): arch introduced a base metapackage to replace the meta group
Housekeeping # 2549 (in progress): move non-systemd packages to [nonsystemd]
Bug # 2576 (confirmed): [openrc-desktop] rearrange openrc groups
Bug # 2886 (confirmed): systemd and openrc are in conflict (systemd-tools)
your-initfreedom and systemd-nss-myhostname are in conflict
2020-08-31 05:54 AM - infinite_recursion

Status: confirmed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

# pacman -Syu

error: unresolvable package conflicts detected

error: failed to prepare transaction (conflicting dependencies)
your—-initfreedom and systemd-nss-myhostname are in conflict

While updating, above error show up, cannot update.

History

#1 - 2020-08-31 06:21 AM - bill-auger

- Status changed from unconfirmed to confirmed

if pacman has a conflict such as: "your-initfreedom and systemd-_ANYTHING_ are in conflict", manual intervention will be required - the reason for
this is that, before this week, 'nonsystemd/base' did not actually conflict with any systemd packages - in some cases, depending on how the initial
install was done, some systemd packages would be installed, even on non-systemd systems - those packages not actually needed though; and some
people would complain about them - the separation was made to be more strict by adding 'your-initfreedom' to 'nonsystemd/base’; which conflicts
directly with those systemd packages - if your system in in that state, those systemd packages need to be uninstalled manually now - it is most likely

these four:
e systemd-nss-myhostname
¢ systemd-nss-mymachines
e systemd-nss-resolve
¢ systemd-nss-systemd
this command will list which systemd packages that you have installed:

$ pacman -Ss systemd | grep -E 'libre/systemd.*\[installed'

this command will uninstall every package with a name beginning with: 'systemd'":

$ sudo pacman -R $(pacman -Ss systemd | grep -E 'libre/systemd.*\[installed' | sed

finally, do a strict sync with the [nonsystemd] repo:
$ sudo pacman -Syyuu
if you get another conflict which mentions 'netctl', then uninstall 'netctl' and 'parabola-base' also

$ sudo pacman -R netctl parabola-base
$ sudo pacman -Syyuu

#2 - 2020-08-31 06:45 AM - bill-auger
- Priority changed from bug to discussion

- Description updated

#3 - 2020-08-31 06:51 AM - infinite_recursion

Removed those 4, now it conflicts with systemd-resolvconf

removing systemd-resolvconf breaks dependency 'resolvconf' required by netctl
#4 - 2020-08-31 06:54 AM - bill-auger

$ sudo pacman -R netctl parabola-base

#5 - 2020-08-31 06:56 AM - infinite_recursion

removing netctl breaks dependency 'netctl' required by parabola-base

#6 - 2020-08-31 02:50 PM - Megver83

netctl is made for systemd, remove it with parabola-base too, you don't need them; parabola-base packages can be easily installed by hand (if you
need them). E.g. | don't have dhcped (I use NM), mc, vi, and maybe others from that meta package.

#7 - 2020-08-31 04:04 PM - infinite_recursion
Yes that did it

Go to another virtual terminal and login

pacman —-R parabola-base
pacman —-R netctl
pacman -R
systemd-nss-myhostname systemd-nss-mymachines systemd-nss-resolve systemd-nss-systemd systemd-resolvconf
pacman —Syu

This solves the problem. Thanks guys!

#8 - 2020-09-24 06:08 AM - bill-auger
- Parent task set to #2886

#9 - 2021-02-15 01:47 AM - Time4Tea

| seem to be having a problem that relates to this: | am trying to upgrade and lib32-systemd is conflicting with your-initfreedom. Unfortunately,
lib32-systemd (which | disn't have installed previously) seems to be a dependency of lib32-dbus, which is in turn required for quite a few 'lib32'
packages. This dependency of lib32-dbus on systemd seems to be relatively new. It didn't use to require it.

Anyway, for now | will just remove parabola-base and not have your-initfreedom installed.

#10 - 2021-03-06 07:40 AM - bill-auger

libre/parabola-base can not be installed with nonsystemd - there
needs to be an analogous nonsystemd/parabola-base; but it doesnt
exist yet
